<!doctype html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Admin Progress Form</title>
    <link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="css/main.css">
    <link rel="stylesheet" type="text/css" href="css/font-awesome.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/main.js"></script>
    <script src="js/html2canvas.min.js"></script>
	<script src="js/promise-fix.js"></script>
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i&display=swap" rel="stylesheet">
    
    <link type="text/css" rel="stylesheet" href="css/no-ie.css">
    
    <?php
        include "common/db.php";
    ?>
    <style>
        hr {
            margin-top: 1rem;
            margin-bottom: 1rem;
            border: 0;
            border-top: 4px solid #3e2157;
        }
        body.print-body{
            padding-top: 1000px;
            min-width: 1300px;
            width: 1300px;
            max-width: 1300px;
            height: 100%;
        }

        body.print-body .pdf-section .container{
            max-width: 1300px;
        }
        body.print-body .pdf-section{
            padding: 10px 20px;
        }

        body.print-body .prgrs_sec .diamond-shape.prgrs_shpThree {
            width: 110px;
            height: 110px;
            margin: 140px 0 0 -170px;
        }
        body.print-body .prgrs_sec .diamond-shape.prgrs_shpTwo .item-count {
            width: 150px;
            height: 150px;
        }
        body.print-body .prgrs_sec .diamond-shape.prgrs_shpTwo {
            width: 150px;
            height: 150px;
            margin: -50px 0 50px 20px;
        }
        body.print-body .prgrs_sec .diamond-shape .item-count {
            width: 200px;
            height: 200px;
        }
        body.print-body .prgrs_sec .diamond-shape {
            width: 200px;
            height: 200px;
        }
        body.print-body .prgrs_sec .diamond-shape.prgrs_shpThree .item-count {
            width: 110px;
            height: 110px;
        }
    </style>
</head>

<body>

<div class="page_wrapper">
	<div class="pdf-section" data-section="0">
		<div class="header">
			<div class="container">
				<div class="row">
					<div class="col-12">
						<h1> CAS Value Model <span class="seprater">|</span>
							<span class="sub_title">Country Launch Tracker</span></h1>
						<div class="logo">
							<a href="http://bangworkshops.com/CAS/"><img src="images/CLK-SideLogo.png" alt="" class="img-fluid"/></a>
						</div>
					</div>
				
				</div>
			</div>
		</div>
		
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="section1">
						<div class="topbar">
							<div class="pull-right pdf-icon hide-details">
								<a href="javascript:void(0);" onclick="pdfDownload()"><img src="images/pdf_export.png" alt="" class="img-fluid" style="max-height:40px;"/></a>
                            </div>
						</div>
						<div class="two-box">
							<div class="row" id="percentage_values">
							
							</div>
						</div>
					</div>
					<div class="aligncenter hide-details">
						<a href="#" class="scroll_arrow">
							<img src="images/scroll_arrow.png" alt="" class="img-fluid"/>
						</a>
					</div>
				</div>
			</div>
		
		</div>
	</div>
    
    <div id="second_header" class="header hide-details">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h1> CAS Value Model <span class="seprater">|</span>
                        <span class="sub_title">Country Launch Tracker</span></h1>
                    <div class="logo">
                        <img src="images/CLK-SideLogo.png" alt="" class="img-fluid"/>
                    </div>
                </div>
            
            </div>
        </div>
    </div>
    
    <div class="container hide-details">
        <div class="row">
            <div class="col-12">
                <ul class="prgrs_txt">
                    <li class="cmplt">Complete</li>
                    <li class="inprgrs">In Progress</li>
                    <li class="ntstrt">Not Started</li>
                </ul>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="section1">
                    <div class="topbar">
                        
                        <form class="form">
                            <div class="search_input">
                                <div class="row">
                                    <div class="col-lg-4 col-md-4 col-sm-12">
                                        <i class="fa fa-search"></i>
                                        <input type="text" class="form-control srch_bx" id="country_list_search" placeholder="Search Countries" onkeyup="searchCountry()">
                                    </div>
                                    <div class="col-lg-4 col-md-4 col-sm-12">
                                        <!-- <label>Sort by:</label> -->
                                        <select class="form-control" placeholder="Alphabetical" id="country_list_sort" onChange="searchCountry()">
                                            <option>Sort</option>
                                            <option value="0">A to Z</option>
                                            <option value="1">Z to A</option>
                                        </select>
                                        
                                        <i id="select_arrow" class="fa fa-arrow-down" aria-hidden="true"></i>
                                    </div>
                                    <div class="col-lg-4 col-md-4 col-sm-12">
                                        <div class="pull-right hide-details">
                                            <a href="javascript:void(0);" onclick="pdfDownload()"><img src="images/pdf_export.png" alt="" class="img-fluid" style="max-height:40px;"/></a>
                                        </div>
                                       
                                    </div>
                                </div>
                            </div>
                        </form>
                    
                    </div>
                    
                    <div class="boxes" id="country_list">
                    
                    </div>
                
                </div>
            </div>
        </div>
    
    </div>
	
    <div id="pdf_generate" class="show-details" style="display: none;">
	
    </div>

</div>

<br/>
<br/>
<br/>
<br/>

<img class="img-fluid" src="images/blue-ribbon-dark.png" alt=""/>

<div class="container">
    <div class="row">
        
        <div class="col-12">
            <div class="footer_logo">
                <img class="img-fluid" src="images/Alcon_RGB.png" width="15%" alt=""/>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="LoadingModal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
            <img id="loading-gif-canvas" src="images/loading.gif">
            <form id="pdfform">
                <div id='image-list'>
        
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="PdfModal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Filter Region(s)</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="region_selection">
                    <p>Select region(s) to export the PDF report: </p>
                    <div class="form-check">
                        <input class="form-check-input" type="checkbox" value="" id="region_0">
                        <label class="form-check-label" for="region_0">Select All</label>
                    </div>
                    <br>
                    <?php
                        $sql = "SELECT *  FROM region ORDER BY name ASC";
                        $result = $conn->query($sql);
                        $counter = 0;
                        while($row = $result->fetch_assoc()){
                            $counter++;
                    ?>
                    <div class="form-check">
                        <input class="form-check-input region_check" name="region_check[]" type="checkbox" value="<?php echo $row['id'];?>" id="region_<?php echo $counter;?>">
                        <label class="form-check-label" for="region_<?php echo $counter;?>"><?php echo $row['name'];?></label>
                    </div>
                    <?php } ?>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" onclick="pdfDownloadNow()" style="background: #10388f;">Download</button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>

        </div>
    </div>
</div>

<script>
    
    function detectIE() {
        var ua = window.navigator.userAgent;
        
        // Test values; Uncomment to check result …
        
        // IE 10
        // ua = 'Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.2; Trident/6.0)';
        
        // IE 11
        // ua = 'Mozilla/5.0 (Windows NT 6.3; Trident/7.0; rv:11.0) like Gecko';
        
        // Edge 12 (Spartan)
        // ua = 'Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/39.0.2171.71 Safari/537.36 Edge/12.0';
        
        // Edge 13
        // ua = 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/46.0.2486.0 Safari/537.36 Edge/13.10586';
        
        var msie = ua.indexOf('MSIE ');
        if (msie > 0) {
            // IE 10 or older => return version number
            return parseInt(ua.substring(msie + 5, ua.indexOf('.', msie)), 10);
        }
        
        var trident = ua.indexOf('Trident/');
        if (trident > 0) {
            // IE 11 => return version number
            var rv = ua.indexOf('rv:');
            return parseInt(ua.substring(rv + 3, ua.indexOf('.', rv)), 10);
        }
        
        var edge = ua.indexOf('Edge/');
        if (edge > 0) {
            // Edge (IE 12+) => return version number
            return parseInt(ua.substring(edge + 5, ua.indexOf('.', edge)), 10);
        }
        
        // other browser
        return false;
    }

</script>

<script>
    $(document).ready(function() {
        searchCountry();
        var broswr = detectIE();
        if (!broswr) {
            $('body').addClass('not-ie');
        }
        else {
            $('body').addClass('ie');
        }
        
    });
</script>

<script>
    
    jQuery('.scroll_arrow').click(function() {
        jQuery('html, body').animate({
            scrollTop: jQuery('#second_header').offset().top,
        }, 1000);
    });
</script>
</body>
</html>