<?php
    
    include_once "common/db.php";
    
    $sorting = "ASC";
    $data = array();
    $region = "";
    $sql = "SELECT c.ID, c.name, c.progress, r.name AS region FROM countryprogress c, region r WHERE c.region = r.id ORDER BY r.name ASC, c.progress DESC, c.name ASC";
    $result = $conn->query($sql);
    $counter = 0;
    while($row = $result->fetch_assoc())
    {
        $counter++;
        $data[$row["region"]][$row["progress"]][] = $row["name"];
    }
    $newPage = true;
    $pageCounter = 1;
    $pageRow = 1;
    $oldRegion = '';
    
    foreach ($data as $region => $county)
    {
        
        if($oldRegion != "" && $oldRegion != $region && $pageRow < 10){
            echo '<tr class="region-class"><td colspan="3" class="text-left">'. $region .'</td></tr>';
            $pageRow++;
        }
        $oldRegion = $region;
        $cCount = isset($county[2])?count($county[2]):0;
        $icCount = isset($county[1])?count($county[1]):0;
        $nsCount = isset($county[0])?count($county[0]):0;
        
        $maxCount = $cCount>$icCount?$cCount:($icCount>$nsCount?$icCount:$nsCount);
        
        for($regionRow=0; $regionRow<$maxCount; $regionRow++) {
            if ($pageRow > 10) {
                $newPage = true;
                endPageGenerate();
            }
            if ($newPage) {
                newPageGenerate($pageCounter, $region);
                $newPage = false;
                $pageCounter++;
                $pageRow = 1;
            }
            echo '<tr><td class="c-class">' . ($cCount > $regionRow && isset($county[2][$regionRow])? $county[2][$regionRow] : '') .
                '</td><td class="ic-class">' . ($icCount > $regionRow && isset($county[1][$regionRow]) ? $county[1][$regionRow] : '') .
                '</td><td class="nt-class">' . ($nsCount > $regionRow && isset($county[0][$regionRow]) ? $county[0][$regionRow] : '') . '</td></tr>';
            $pageRow++;
        }
    }
    
    function newPageGenerate($pageCounter, $region){
        echo  '<div class="pdf-section" data-section="'. $pageCounter .'">
                <div class="header">
                    <div class="container">
                        <div class="row">
                            <div class="col-12">
                                <h1> CAS Value Model <span class="seprater">|</span>
                                    <span class="sub_title">Country Launch Tracker</span></h1>
                                <div class="logo">
                                    <a href="http://bangworkshops.com/CAS/"><img src="images/CLK-SideLogo.png" alt="" class="img-fluid"/></a>
                                </div>
                            </div>
                        
                        </div>
                    </div>
                </div>';
        echo  '<div class="container">
                    <div class="row">
                        <div class="col-12">
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th class="bg-primary" scope="col">Countries Complete</th>
                                        <th class="bg-info" scope="col">Countries In Progress</th>
                                        <th class="bg-secondary" scope="col">Countries Not Started</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr class="region-class"><td colspan="3" class="text-left">'. $region .'</td></tr>';
    }
    
    function endPageGenerate(){
        echo  '
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>';
    }
    
    if($counter > 0){
        ?>
        <style>
            .pdf-section table .bg-primary{
                background-color: #10388f!important;
            }
            .pdf-section table thead th{
                text-align: center;
                color: #fff;
            }
            .pdf-section table th, .pdf-section table td{
            
            }
            .pdf-section table tr.region-class td{
                color: #10388f !important;
                font-weight: bold;
                padding-top: .20rem !important;
                padding-bottom: .20rem !important;
                border-bottom: 3px solid #10388f !important;
            }
            
            .pdf-section table td.c-class{
                background-color: #E7EBF4!important;
            }
            .pdf-section table td.ic-class{
                background-color: #E8F9FF!important;
            }
            .pdf-section table td.nt-class{
                background-color: #F5F5F5!important;
            }
        </style>
        <?php
    }
